Page MenuHomePhabricator

Stuck old 1024px thumbnail version of a specific djvu image on wikisource.pl
Closed, DeclinedPublic

Description

Details

Reference
bz70189

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:37 AM
bzimport set Reference to bz70189.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 29 2014, 8:38 PM

Thanks for taking the time to report this!

[Moving to "Wikimedia" product as this request is about image/thumbnail scalers of the website, not about the codebase of MediaWiki itself.]

Confirming.

I tried [[WP:Purge]] by going to https://upload.wikimedia.org/wikipedia/commons/thumb/f/f1/Juliusz_Verne-Tajemnicza_Wyspa_%28ed._Seyfarth_i_Czajkowski%29_T.1.djvu/page300-1024px-Juliusz_Verne-Tajemnicza_Wyspa_%28ed._Seyfarth_i_Czajkowski%29_T.1.djvu.jpg?whatever and then via https://commons.wikimedia.org/w/index.php?title=File%3AJuliusz_Verne-Tajemnicza_Wyspa_%28ed._Seyfarth_i_Czajkowski%29_T.1.djvu&page=300&action=purge but wasn't successful so far...

Hmm, it would appear HTCP purge requests aren't being sent for that particular page at that particular size (When I ?action=purge the image description page, the age header resets for both the 1025px page 300 thumb, as well as the 1024px page 301 thumb. However the 1024px page 300 thumb always stays the same). The same behavior is observed both when acessing from eqiad, and when accessing from esams.

When appending a random query paramaeter to the thumb url, the headers say varnish cache miss, but still the same thumb is returned.

If I were to guess, I would guess that swift has a cached thumb of that page at that size but it isn't being returned when MW gets a list of all thumbs for a file, thus is not getting deleted during ?action=purge and is not having an htcp packet sent. I've heard a couple other reports of similar things happening before, but they have been very few and far between.

(I think that's as far as my debugging skills go. Someone with more knowledge of/actual access to our swift servers would probably have to investigate further. Unless someone has a better idea, I would suggest running various swift commands from the command line (list and stat) and see what's up with that particular thumbnail, and possibly deleting it manually)

wieralee: You closed this as FIXED without a comment.
How was this fixed? Any code commit?

I can confirm that image looks fixed, and that the image is now properly responding to purges.

Have no idea how or why its fixed. Perhaps something fell out of some cache in the swift backend.

The only thing in the server admin log that I see that could conceivably be related to the image magically fixing itself was that there was an ms- server that got powercycled on sept 1 and sept 7.

wieralee wrote:

(In reply to Andre Klapper from comment #4)

wieralee: You closed this as FIXED without a comment.
How was this fixed? Any code commit?

I don’t know, what happened :-(

Yesterday I had looked into this page – and everything is all right there. Maybe there is a kind of an auto-repair…

Recently some files disappeared from commons :-( They were looking for them anywhere, but they are lost. Maybe somebody had turned on something what had fixed my problem?

(In reply to wieralee from comment #6)

Recently some files disappeared from commons

That should be bug 70416 and bug 70556

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:28 AM